#include "setup.h"
#include "global.h"

cPvrSetup::cPvrSetup(void) {
  HideMainMenuEntry              = 1;        // hide main menu entry
  LogLevel                       = 3;        // errors and (some) messages
  SliceVBI                       = 1;        // Slice VBI data (Teletext)
/*  first initialization of all v4l2 controls,
  most values will be re-initialized later one
  in QueryAllControls.  -wirbel-
*/
  Brightness.value               = INVALID_VALUE; // default value in QueryAllControls
  Contrast.value                 = INVALID_VALUE; // default value in QueryAllControls
  Saturation.value               = INVALID_VALUE; // default value in QueryAllControls
  Hue.value                      = INVALID_VALUE; // default value in QueryAllControls
  AudioVolumeTV.value            = INVALID_VALUE; // default value in QueryAllControls
  AudioVolumeFM.value            = INVALID_VALUE; // default value in QueryAllControls
  AudioSampling.value            = INVALID_VALUE; // default value in QueryAllControls
  AudioMute.value                = 0;             // not muted.
  VideoBitrateTV.value           = INVALID_VALUE; // default value in QueryAllControls
  VideoBitrateFM.value           = INVALID_VALUE; // default value in QueryAllControls
  VideoBitratePeak.value         = 15000000;      // 15Mbit/s
  AudioBitrate.value             = INVALID_VALUE; // default value in QueryAllControls
  BitrateMode.value              = INVALID_VALUE; // default value in QueryAllControls 
  AspectRatio.value              = INVALID_VALUE; // default value in QueryAllControls
  StreamType.value               = V4L2_MPEG_STREAM_TYPE_MPEG2_PS;
  GopSize.value                  = INVALID_VALUE; // default value in QueryAllControls
  BFrames.value                  = INVALID_VALUE; // default value in QueryAllControls
  GopClosure.value               = INVALID_VALUE; // default value in QueryAllControls
  FilterSpatialMode.value        = INVALID_VALUE; // default value in QueryAllControls
  FilterSpatial.value            = INVALID_VALUE; // default value in QueryAllControls
  FilterLumaSpatialType.value    = INVALID_VALUE; // default value in QueryAllControls
  FilterChromaSpatialType.value  = INVALID_VALUE; // default value in QueryAllControls
  FilterTemporalMode.value       = INVALID_VALUE; // default value in QueryAllControls
  FilterTemporal.value           = INVALID_VALUE; // default value in QueryAllControls
  FilterMedianType.value         = INVALID_VALUE; // default value in QueryAllControls
  FilterLumaMedianBottom.value   = INVALID_VALUE; // default value in QueryAllControls
  FilterLumaMedianTop.value      = INVALID_VALUE; // default value in QueryAllControls
  FilterChromaMedianBottom.value = INVALID_VALUE; // default value in QueryAllControls
  FilterChromaMedianTop.value    = INVALID_VALUE; // default value in QueryAllControls
}

cPvrSetup PvrSetup;
